commit:     4469279ff2a80156301fba048c086e84ab6fcf58
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 29 18:59:45 2021 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Mon Nov 29 18:59:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4469279f

net-analyzer/arp-sk: Port to EAPI 8

Closes: https://bugs.gentoo.org/826826
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 net-analyzer/arp-sk/arp-sk-0.0.16-r2.ebuild | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/net-analyzer/arp-sk/arp-sk-0.0.16-r2.ebuild 
b/net-analyzer/arp-sk/arp-sk-0.0.16-r2.ebuild
index e18045a7f774..6b9187db0bbd 100644
--- a/net-analyzer/arp-sk/arp-sk-0.0.16-r2.ebuild
+++ b/net-analyzer/arp-sk/arp-sk-0.0.16-r2.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=8
 
-inherit autotools epatch multilib
+inherit autotools
 
 DESCRIPTION="A swiss knife tool for ARP"
 HOMEPAGE="http://sid.rstack.org/arp-sk/";
@@ -18,11 +18,14 @@ RDEPEND="${DEPEND}"
 
 DOCS=( ARP AUTHORS CONTRIB ChangeLog README TODO )
 
+PATCHES=(
+       "${FILESDIR}"/${P}-libnet1_2.patch
+)
+
 src_prepare() {
-       epatch "${FILESDIR}"/${P}-libnet1_2.patch
+       default
        sed -i configure.in -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' || die
        rm missing || die
-       epatch_user
 
        eautoreconf
 }
@@ -31,5 +34,5 @@ src_install() {
        default
 
        # We don't need libcompat as it has a potential to clash with other 
packages.
-       rm -fr "${D}"/usr/$(get_libdir)
+       rm -r "${ED}"/usr/$(get_libdir) || die
 }

Reply via email to